com.lowagie.text.xml.simpleparser

## Class EntitiesToUnicode

- java.lang.Object
- - com.lowagie.text.xml.simpleparser.EntitiesToUnicode

-     public class EntitiesToUnicode
      extends java.lang.Object

  This class contains entities that can be used in an entity tag.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.HashMap` | `map` This is a map that contains the names of entities and their unicode value.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntitiesToUnicode()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static char` | `decodeEntity(java.lang.String name)` Translates an entity to a unicode character.
    `static java.lang.String` | `decodeString(java.lang.String s)` Translates a String with entities (&...;) to a String without entities, replacing the entity with the right (unicode) character.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          public static final java.util.HashMap map

      This is a map that contains the names of entities and their unicode value.

  - ### Constructor Detail

    - #### EntitiesToUnicode

          public EntitiesToUnicode()

  - ### Method Detail

    - #### decodeEntity

          public static char decodeEntity(java.lang.String name)

      Translates an entity to a unicode character.
      Parameters:
        `name` - the name of the entity
      Returns:
        the corresponding unicode character

    - #### decodeString

          public static java.lang.String decodeString(java.lang.String s)

      Translates a String with entities (&...;) to a String without entities, replacing the entity with the right (unicode) character.